import { MessageType, PartialMessage, IBinaryReader, BinaryReadOptions, IBinaryWriter, BinaryWriteOptions } from '@protobuf-ts/runtime';

declare class CEconItemPreviewDataBlock$Type extends MessageType<CEconItemPreviewDataBlock> {
    constructor();
    create(value?: PartialMessage<CEconItemPreviewDataBlock>): CEconItemPreviewDataBlock;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: CEconItemPreviewDataBlock): CEconItemPreviewDataBlock;
    internalBinaryWrite(message: CEconItemPreviewDataBlock, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated from protobuf message CEconItemPreviewDataBlock
 */
interface CEconItemPreviewDataBlock {
    /**
     * @generated from protobuf field: optional uint32 accountid = 1;
     */
    accountid?: number;
    /**
     * @generated from protobuf field: optional uint64 itemid = 2;
     */
    itemid?: bigint;
    /**
     * @generated from protobuf field: optional uint32 defindex = 3;
     */
    defindex?: number;
    /**
     * @generated from protobuf field: optional uint32 paintindex = 4;
     */
    paintindex?: number;
    /**
     * @generated from protobuf field: optional uint32 rarity = 5;
     */
    rarity?: number;
    /**
     * @generated from protobuf field: optional uint32 quality = 6;
     */
    quality?: number;
    /**
     * @generated from protobuf field: optional uint32 paintwear = 7;
     */
    paintwear?: number;
    /**
     * @generated from protobuf field: optional uint32 paintseed = 8;
     */
    paintseed?: number;
    /**
     * @generated from protobuf field: optional uint32 killeaterscoretype = 9;
     */
    killeaterscoretype?: number;
    /**
     * @generated from protobuf field: optional uint32 killeatervalue = 10;
     */
    killeatervalue?: number;
    /**
     * @generated from protobuf field: optional string customname = 11;
     */
    customname?: string;
    /**
     * @generated from protobuf field: repeated CEconItemPreviewDataBlock.Sticker stickers = 12;
     */
    stickers: CEconItemPreviewDataBlock_Sticker[];
    /**
     * @generated from protobuf field: optional uint32 inventory = 13;
     */
    inventory?: number;
    /**
     * @generated from protobuf field: optional uint32 origin = 14;
     */
    origin?: number;
    /**
     * @generated from protobuf field: optional uint32 questid = 15;
     */
    questid?: number;
    /**
     * @generated from protobuf field: optional uint32 dropreason = 16;
     */
    dropreason?: number;
    /**
     * @generated from protobuf field: optional uint32 musicindex = 17;
     */
    musicindex?: number;
    /**
     * @generated from protobuf field: optional int32 entindex = 18;
     */
    entindex?: number;
}
/**
 * @generated MessageType for protobuf message CEconItemPreviewDataBlock
 */
declare const CEconItemPreviewDataBlock: CEconItemPreviewDataBlock$Type;
declare class CEconItemPreviewDataBlock_Sticker$Type extends MessageType<CEconItemPreviewDataBlock_Sticker> {
    constructor();
    create(value?: PartialMessage<CEconItemPreviewDataBlock_Sticker>): CEconItemPreviewDataBlock_Sticker;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: CEconItemPreviewDataBlock_Sticker): CEconItemPreviewDataBlock_Sticker;
    internalBinaryWrite(message: CEconItemPreviewDataBlock_Sticker, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated from protobuf message CEconItemPreviewDataBlock.Sticker
 */
interface CEconItemPreviewDataBlock_Sticker {
    /**
     * @generated from protobuf field: optional uint32 slot = 1;
     */
    slot?: number;
    /**
     * @generated from protobuf field: optional uint32 sticker_id = 2;
     */
    stickerId?: number;
    /**
     * @generated from protobuf field: optional float wear = 3;
     */
    wear?: number;
    /**
     * @generated from protobuf field: optional float scale = 4;
     */
    scale?: number;
    /**
     * @generated from protobuf field: optional float rotation = 5;
     */
    rotation?: number;
    /**
     * @generated from protobuf field: optional uint32 tint_id = 6;
     */
    tintId?: number;
    /**
     * @generated from protobuf field: optional float offset_x = 7;
     */
    offsetX?: number;
    /**
     * @generated from protobuf field: optional float offset_y = 8;
     */
    offsetY?: number;
}
/**
 * @generated MessageType for protobuf message CEconItemPreviewDataBlock.Sticker
 */
declare const CEconItemPreviewDataBlock_Sticker: CEconItemPreviewDataBlock_Sticker$Type;

declare enum Rarity {
    STOCK = 0,
    CONSUMER_GRADE = 1,
    INDUSTRIAL_GRADE = 2,
    MIL_SPEC_GRADE = 3,
    RESTRICTED = 4,
    CLASSIFIED = 5,
    COVERT = 6,
    CONTRABAND = 7,
    GOLD = 99
}
declare const previewLink = "steam://rungame/730/76561202255233023/+csgo_econ_action_preview%20";
/**
 * Returns the hex.
 *
 *
 * @args {@link CEconItemPreviewDataBlock}
 * @returns {string} "00180720DA03280638FBEE88F90340B2026213080310021D00000000250000803F2D00000000503D5A64"
 */
declare const generateHex: ({ paintwear, stickers, ...props }: CEconItemPreviewDataBlock) => string;
/**
 * Returns the inspect link.
 *
 *
 * @args {@link CEconItemPreviewDataBlock}
 * @returns {string} "steam://rungame/730/76561202255233023/+csgo_econ_action_preview%2000180720DA03280638FBEE88F90340B2026213080310021D00000000250000803F2D00000000503D5A64"
 */
declare const generateLink: (props: CEconItemPreviewDataBlock) => string;
/**
 * Returns the gen.
 *
 * @args {@link CEconItemPreviewDataBlock}
 * @returns {string} "!gen 7 474 306 0.6336590647697449 0 0 0 0 0 0 2 0 0 0"
 */
declare const generateGen: (props: CEconItemPreviewDataBlock) => string;
declare const _default: {
    generateHex: ({ paintwear, stickers, ...props }: CEconItemPreviewDataBlock) => string;
    generateLink: (props: CEconItemPreviewDataBlock) => string;
    generateGen: (props: CEconItemPreviewDataBlock) => string;
};

export { Rarity, _default as default, generateGen, generateHex, generateLink, previewLink };
